Get Ad Consumption
Returns ad insertion consumption data (ad insertions, impressions, egress breakdown) grouped by the requested time resolution. Requires the ad service to already be provisioned.
curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/consumption" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"groupBy": "day",
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/consumption"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"groupBy": "day",
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/consumption", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"groupBy": "day",
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"groupBy": "day",
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/consumption", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/consumption')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"groupBy": "day",
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59"
}'
response = http.request(request)
puts response.body
{
"statusCode": 200,
"result": "success",
"from": "2026-01-01 00:00:00",
"to": "2026-01-31 23:59:59",
"serviceIds": [
10001
],
"groupBy": "day",
"totalAdInsertions": 1284,
"totalAdImpressions": 3720,
"totalEgress": "0 B",
"egressDetails": {
"manifests": "0 B",
"segments": "0 B",
"ssat": "0 B",
"transcoding": "0 B",
"other": "0 B"
},
"adInsertionsChart": [
{
"key": "2026-01-15",
"value": 42
}
],
"adImpressionsChart": [
{
"key": "2026-01-15",
"value": 42
}
],
"egressChart": [
{
"key": "2026-01-15",
"value": 42
}
],
"trackingBreakdown": {
"impressions": 0,
"starts": 0,
"firstQuartiles": 0,
"midpoints": 0,
"thirdQuartiles": 0,
"completes": 0,
"completionRate": 0
}
}
/zones/vod/pull/{zoneid}/adinsertion/consumptionTarget server for requests. Edit to use your own host.
API key (sent in header)
Zone ID
The media type of the request body
Time resolution for aggregating consumption data.
Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Date-time range: YYYY-MM-DD HH:MM:SS - YYYY-MM-DD HH:MM:SS
2026-01-01 00:00:00 - 2026-01-31 23:59:59Responses
successerrordayhour